Subject: Re: [PATCH] Compiler Attributes: move kernel-only attributes into __KERNEL__

From: Greg KH <[email-masked]>
Date: Thu, 6 Dec 2018 13:49:57 +0100

On Thu, Dec 06, 2018 at 08:39:26PM +0800, Xiaozhou Liu wrote:
> On Thu, Nov 29, 2018 at 11:42:11AM +0100, Miguel Ojeda wrote:
> 
> > Exactly, thanks a lot for clarifying it up (we should put this in the
> > commit message, I would say). That also answers my question: it is
> > clear everything should be back into __KERNEL__. The only worry is
> > that the v4.19 release contained 815f0ddb346c, so it has them exposed,
> > so someone could have started relying on them. Or, more likely, the
> > exposed macros could break some source code out there. Hm... Should a
> > "fix" be backported?
> 
> What about letting v4.19 maintainers make the decision?

If something is fixed in Linus's tree for this, I want to take it into
the 4.19-stable tree as well.

thanks,

greg k-h